## tycho 0.25.0

=== eclipse-bundles/org.eclipse.core.filesystem/natives/unix/linux/Makefile ===
#******************************************************************************
# Copyright (c) 2010 IBM Corporation and others.
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#
# Contributors:
#     IBM Corporation - initial API and implementation
#******************************************************************************/
#
# makefile for libunixfile_1_0_0.so

CORE.C = ../unixfile.c
CORE.O = unixfile.o
LIB_NAME = libunixfile.so
LIB_NAME_FULL = libunixfile_1_0_0.so

#Set this to be your OS type
OS_TYPE = linux

#Set this to be the location of your JRE
ifeq (${JAVA_HOME},)
	JAVA_HOME = /usr/lib/jvm/java-1.5.0-ibm-1.5.0.9/
endif

JDK_INCLUDE = -I ${JAVA_HOME}/include -I ${JAVA_HOME}/include/${OS_TYPE}
OPT_FLAGS=-O2 -g -s -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

core:
	gcc $(OPT_FLAGS) -fPIC -c $(JDK_INCLUDE) -o $(CORE.O) $(CORE.C)
	gcc $(OPT_FLAGS) -shared -Wl,-soname,$(LIB_NAME) -o $(LIB_NAME_FULL) $(CORE.O) -lc

clean:
	rm -f $(CORE.O) $(LIB_NAME_FULL)

install: core
	rm -f ../../../../org.eclipse.core.filesystem.linux.x86/os/linux/x86/libunixfile_1_0_0.so
	mv libunixfile_1_0_0.so ../../../../org.eclipse.core.filesystem.linux.x86/os/linux/x86/

=== eclipse-bundles/org.eclipse.core.filesystem/natives/unix/qnx/Makefile ===
# makefile for libcore.so

CORE.C = ../localfile.c
CORE.O = localfile.o
LIB_NAME = liblocalfile.so
LIB_NAME_FULL = liblocalfile_1_0_0.so

core :
	qcc -Wall -O3 -shared -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -c -I$(IVE_HOME)/include $(CORE.C) -o $(CORE.O)
	qcc -Wall -O3 -shared -Wl,-soname,$(LIB_NAME) -o $(LIB_NAME_FULL) $(CORE.O)

clean :
	rm -f *.o *.so

=== debian/changelog ===
tycho (0.25.0-4) unstable; urgency=medium

  * Team upload.
  * Added the missing build dependency on libcommons-httpclient-java
    (Closes: #881335)
  * Fixed the compilation errors with Java 9 (Closes: #874130)
  * Removed the unused build dependency on glassfish-javaee

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 23 Nov 2017 14:58:03 +0100

tycho (0.25.0-3) unstable; urgency=medium

  * Remove obsolete maven rules for bcel artifact.
    Thanks to Adrian Bunk for the report. (Closes: #879250)
  * Declare compliance with Debian Policy 4.1.1.

 -- Markus Koschany <apo@debian.org>  Sat, 21 Oct 2017 12:33:16 +0200

tycho (0.25.0-2) unstable; urgency=medium

  [ Emmanuel Bourg ]
  * Depend on asm (>= 5.0) instead of libasm4-java.

  [ Markus Koschany ]
  * Declare compliance with Debian Policy 4.1.0.
  * Add plexus-compatibility.patch and fix FTBFS with the latest
    plexus-archiver version. (Closes: #871347)

  [ Christopher Hoskin ]
  * Fix copyright paths with spaces.

 -- Markus Koschany <apo@debian.org>  Sat, 02 Sep 2017 02:35:30 +0200

tycho (0.25.0-1) unstable; urgency=medium

  * Initial release. (Closes: #816604)
  * Thanks to Luca Vercelli and Christopher Hoskin for their initial work on
    this package.

 -- Markus Koschany <apo@debian.org>  Tue, 29 Nov 2016 21:42:39 +0100

=== debian/control ===
Source: tycho
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Luca Vercelli <luca.vercelli.to@gmail.com>,
 Markus Koschany <apo@debian.org>
Build-Depends:
 ant,
 debhelper (>= 10),
 default-jdk,
 ecj,
 libaether-java,
 libasm-java (>= 5.0),
 libbcel-java,
 libcommons-compress-java,
 libcommons-exec-java,
 libcommons-httpclient-java,
 libcommons-jxpath-java,
 libdecentxml-java,
 libgeronimo-commonj-spec-java,
 libicu4j-java,
 libmaven-archiver-java (>=2.0),
 libmaven-assembly-plugin-java,
 libmaven-bundle-plugin-java (>=2.5.4),
 libmaven-clean-plugin-java,
 libmaven-compiler-plugin-java,
 libmaven-dependency-plugin-java,
 libmaven-jar-plugin-java,
 libmaven-plugin-testing-java,
 libmaven-plugin-tools-java (>=3.0),
 libmaven-resources-plugin-java,
 libmaven-site-plugin-java,
 libmaven-source-plugin-java,
 libmaven-verifier-java,
 libmockito-java,
 libplexus-compiler-java (>=2.0),
 libplexus-component-metadata-java (>=1.5),
 libplexus-utils-java,
 libsac-java,
 libsurefire-java,
 libxz-java,
 maven-debian-helper,
 rsync,
 sat4j (>= 2.3.5),
 zip
Standards-Version: 4.1.1
Vcs-Git: https://anonscm.debian.org/git/pkg-java/tycho.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/tycho.git
Homepage: https://eclipse.org/tycho/

Package: libtycho-java
Architecture: all
Depends:
 ${maven:Depends},
 ${misc:Depends}
Recommends:
 ${maven:Recommends}
Description: build Eclipse plugins with Maven
 Tycho is a set of Maven plugins and extensions for building Eclipse plugins
 and OSGI bundles with Maven. Eclipse plugins and OSGI bundles have their own
 metadata for expressing dependencies, source folder locations, etc. that are
 normally found in a Maven POM. Tycho uses native metadata for Eclipse plugins
 and OSGi bundles and uses the POM to configure and drive the build. Tycho
 supports bundles, fragments, features, update site projects and RCP
 applications. Tycho also knows how to run JUnit test plugins using OSGi
 runtime and there is also support for sharing build results using Maven
 artifact repositories.

=== debian/rules ===
#!/usr/bin/make -f

PKG=tycho
VER=0.25.0
DTYPE=

UVER=0.25.0
UURL=http://git.eclipse.org/c/tycho/org.eclipse.tycho.git/snapshot/org.eclipse.tycho-tycho-$(UVER).tar.xz

FUURL=https://github.com/rgrunber/fedoraproject-p2

AGGREGATOR_PATH=git://git.eclipse.org/gitroot/platform/eclipse.platform.releng.aggregator.git
TAG=S4_6_0_M6

BINPKG=libtycho-java

%:
	dh $@ --buildsystem=maven

override_dh_auto_configure:
	./debian/eclipse-bootstrap.sh $(CURDIR)
	dh_auto_configure

override_dh_auto_build:
	dh_auto_build -- package -Dmaven.test.skip=true

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install
	#patch eclipse-application packaging
	cp tycho-bundles/tycho-bundles-external/target/tycho-bundles-external.zip debian/$(BINPKG)/usr/share/maven-repo/org/eclipse/tycho/tycho-bundles-external/$(VER)/tycho-bundles-external-$(VER).zip
	ln -s ../$(VER)/tycho-bundles-external-$(VER).zip debian/$(BINPKG)/usr/share/maven-repo/org/eclipse/tycho/tycho-bundles-external/debian/tycho-bundles-external-debian.zip


.PHONY: get-orig-source
# upstream is http://git.eclipse.org/c/tycho/org.eclipse.tycho.git/snapshot/org.eclipse.tycho-tycho-0.25.0.tar.xz
# plus
# https://github.com/rgrunber/fedoraproject-p2
# plus
# some of eclipse sources
get-orig-source:
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting.))
	mkdir $(PKG)-$(VER)

	@echo "# Downloading Tycho..."
	wget $(UURL)
	tar x -C $(PKG)-$(VER) -f org.eclipse.tycho-tycho-$(UVER).tar.xz
	find $(PKG)-$(VER)/org.eclipse.tycho-tycho-$(UVER) -name '*.jar' -delete
	find $(PKG)-$(VER)/org.eclipse.tycho-tycho-$(UVER) -name '.git*' -delete
	mv $(PKG)-$(VER)/org.eclipse.tycho-tycho-$(UVER)/* $(PKG)-$(VER)
	rmdir $(PKG)-$(VER)/org.eclipse.tycho-tycho-$(UVER)	#should be empty
	$(RM) org.eclipse.tycho-tycho-$(UVER).tar.xz

	@echo "# Downloading Fedora project P2..."
	cd $(PKG)-$(VER) && git clone $(FUURL)
	cd $(PKG)-$(VER)/fedoraproject-p2 && git checkout && $(RM) -r .git .git*

	@echo "# Downloading Eclipse (this may take a long time)..."
	cd $(PKG)-$(VER) && git clone --depth 1 --branch $(TAG)  $(AGGREGATOR_PATH) eclipse-aggregator
	cd $(PKG)-$(VER)/eclipse-aggregator \
	&& git submodule init eclipse.jdt eclipse.jdt.core eclipse.platform.runtime eclipse.platform.team \
	eclipse.platform.swt eclipse.platform.text eclipse.platform.ui eclipse.platform.resources \
	rt.equinox.p2 rt.equinox.bundles rt.equinox.framework \
	&& git submodule update

	@echo "# We keep only Eclipse bundles required by Tycho"
	$(eval SRC:=$(PKG)-$(VER)/eclipse-aggregator)
	$(eval DEST:=$(PKG)-$(VER)/eclipse-bundles)
	mkdir -p $(DEST)

	rsync -r $(SRC)/eclipse.platform.runtime/bundles/org.eclipse.core.runtime $(DEST)
	rsync -r $(SRC)/eclipse.platform.runtime/bundles/org.eclipse.core.contenttype $(DEST)
	rsync -r $(SRC)/eclipse.platform.runtime/bundles/org.eclipse.core.jobs $(DEST)
	rsync -r $(SRC)/rt.equinox.p2/bundles/org.eclipse.equinox.p2.core $(DEST)
	rsync -r $(SRC)/rt.equinox.p2/bundles/org.eclipse.equinox.p2.metadata $(DEST)
	rsync -r $(SRC)/rt.equinox.p2/bundles/org.eclipse.equinox.p2.publisher $(DEST)
	rsync -r $(SRC)/rt.equinox.p2/bundles/org.eclipse.equinox.p2.publisher.eclipse $(DEST)
	rsync -r $(SRC)/rt.equinox.p2/bundles/org.eclipse.equinox.p2.repository $(DEST)
	rsync -r $(SRC)/rt.equinox.p2/bundles/org.eclipse.equinox.p2.metadata.repository $(DEST)
	rsync -r $(SRC)/rt.equinox.p2/bundles/org.eclipse.equinox.p2.artifact.repository $(DEST)
	rsync -r $(SRC)/rt.equinox.p2/bundles/org.eclipse.equinox.p2.jarprocessor $(DEST)
	rsync -r $(SRC)/rt.equinox.p2/bundles/org.eclipse.equinox.simpleconfigurator $(DEST)
	rsync -r $(SRC)/rt.equinox.p2/bundles/org.eclipse.equinox.simpleconfigurator.manipulator $(DEST)
	rsync -r $(SRC)/rt.equinox.p2/bundles/org.eclipse.equinox.frameworkadmin $(DEST)
	rsync -r $(SRC)/rt.equinox.p2/bundles/org.eclipse.equinox.frameworkadmin.equinox $(DEST)
	rsync -r $(SRC)/rt.equinox.framework/bundles/org.eclipse.osgi.util $(DEST)
	rsync -r $(SRC)/rt.equinox.bundles/bundles/org.eclipse.equinox.preferences $(DEST)
	rsync -r $(SRC)/rt.equinox.bundles/bundles/org.eclipse.equinox.preferences $(DEST)
	rsync -r $(SRC)/rt.equinox.bundles/bundles/org.eclipse.equinox.common $(DEST)
	rsync -r $(SRC)/rt.equinox.bundles/bundles/org.eclipse.equinox.security $(DEST)
	rsync -r $(SRC)/rt.equinox.bundles/bundles/org.eclipse.equinox.app $(DEST)
	rsync -r $(SRC)/rt.equinox.bundles/bundles/org.eclipse.equinox.registry $(DEST)
	#here can compile
	rsync -r $(SRC)/rt.equinox.framework/bundles/org.eclipse.osgi.compatibility.state $(DEST)
	rsync -r $(SRC)/rt.equinox.framework/bundles/org.eclipse.osgi $(DEST)
	rsync -r $(SRC)/rt.equinox.p2/bundles/org.eclipse.equinox.p2.repository.tools $(DEST)
	rsync -r $(SRC)/rt.equinox.bundles/bundles/org.eclipse.equinox.app $(DEST)
	rsync -r $(SRC)/rt.equinox.framework/bundles/org.eclipse.osgi.services $(DEST)
	rsync -r $(SRC)/rt.equinox.p2/bundles/org.eclipse.equinox.p2.director $(DEST)
	rsync -r $(SRC)/rt.equinox.p2/bundles/org.eclipse.equinox.p2.engine $(DEST)
	rsync -r $(SRC)/rt.equinox.p2/bundles/org.eclipse.equinox.p2.jarprocessor $(DEST)
	#here can compile
	#need SteppedTimeoutLexicoHelper from sat4j 2.3.4
	rsync -r $(SRC)/rt.equinox.p2/bundles/org.eclipse.equinox.p2.touchpoint.eclipse $(DEST)
	rsync -r $(SRC)/rt.equinox.p2/bundles/org.eclipse.equinox.p2.garbagecollector $(DEST)
	rsync -r $(SRC)/rt.equinox.p2/bundles/org.eclipse.equinox.p2.updatesite $(DEST)
	rsync -r $(SRC)/rt.equinox.p2/bundles/org.eclipse.equinox.p2.director.app $(DEST)
	rsync -r $(SRC)/eclipse.platform.team/bundles/org.eclipse.core.net $(DEST)
	#here can compile
	rsync -r $(SRC)/eclipse.platform.swt/bundles/org.eclipse.swt $(DEST)
	#here can compile
	rsync -r $(SRC)/eclipse.jdt.core/org.eclipse.jdt.core $(DEST)
	rsync -r $(SRC)/eclipse.jdt.core/org.eclipse.jdt.compiler.apt $(DEST)
	rsync -r $(SRC)/eclipse.platform.text/org.eclipse.text $(DEST)
	rsync -r $(SRC)/eclipse.platform.text/org.eclipse.jface.text $(DEST)
	rsync -r $(SRC)/eclipse.platform.ui/bundles/org.eclipse.core.commands $(DEST)
	rsync -r $(SRC)/eclipse.platform.ui/bundles/org.eclipse.jface $(DEST)
	rsync -r $(SRC)/eclipse.platform.runtime/bundles/org.eclipse.core.expressions $(DEST)
	rsync -r $(SRC)/rt.equinox.bundles/bundles/org.eclipse.equinox.bidi $(DEST)
	rsync -r $(SRC)/eclipse.platform.resources/bundles/org.eclipse.core.resources $(DEST)
	rsync -r $(SRC)/eclipse.platform.resources/bundles/org.eclipse.core.filesystem $(DEST)

	$(RM) -rf $(SRC)

	find $(DEST) -type d -name ".git" | xargs rm -rf
	find $(DEST) -type f -name *.jar -delete
	find $(DEST) -type f -name *.class -delete
	find $(DEST) -type f -name *.so -delete
	find $(DEST) -type f -name *.dll -delete
	find $(DEST) -type f -name *.jnilib -delete
	find $(DEST) -type f -name *.exe -delete

	@echo "# Packing..."
	$(RM) -rf $(PKG)_$(VER)$(DTYPE).orig.tar.xz
	find -L "$(PKG)-$(VER)" -xdev -type f -print | LC_ALL=C sort \
	| XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX

	@echo "# Cleaning up..."
	$(RM) -rf $(PKG)-$(VER)

## tycho 1.0.0

=== debian/changelog ===
tycho (1.0.0-2) unstable; urgency=medium

  * Team upload.
  * Fixed the compatibility with equinox-p2 4.8

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 19 Dec 2018 15:56:23 +0100

tycho (1.0.0-1) unstable; urgency=medium

  * Team upload.

  [ Christopher Hoskin ]
  * Add debian/clean 

  [ Emmanuel Bourg ]
  * New upstream release
    - Refreshed the patches
    - Ignore the new test modules
    - Removed the dependency on libcommons-httpclient-java
    - Removed the dependency on libcommons-jxpath-java
  * Use the Eclipse Aether/Maven Resolver API instead of Sonatype Aether
  * Replaced the embedded bundles with dependencies on eclipse/equinox packages
  * Disabled the lock file marker created in /usr/share/maven-repo/
  * Patched DefaultEquinoxEmbedder to throw explicit exception messages
  * Simplified the Maven rules
  * Added a watch file
  * Standards-Version updated to 4.2.1
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 28 Oct 2018 10:46:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,41 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders:
- Luca Vercelli <luca.vercelli.to@gmail.com>,
- Markus Koschany <apo@debian.org>
+ Luca Vercelli <luca.vercelli.to@gmail.com>
 Build-Depends:
  ant,
- debhelper (>= 10),
+ debhelper (>= 11~),
  default-jdk,
- ecj,
- libaether-java,
  libasm-java (>= 5.0),
  libbcel-java,
  libcommons-compress-java,
  libcommons-exec-java,
- libcommons-httpclient-java,
- libcommons-jxpath-java,
  libdecentxml-java,
+ libeclipse-core-net-java,
+ libeclipse-core-runtime-java,
+ libeclipse-jdt-compiler-apt-java,
+ libeclipse-jdt-core-java,
+ libeclipse-osgi-compatibility-state-java,
+ libeclipse-osgi-java (>= 3.13.0+eclipse4.8),
+ libeclipse-osgi-util-java,
+ libequinox-app-java,
+ libequinox-common-java,
+ libequinox-frameworkadmin-java,
+ libequinox-p2-artifact-repository-java,
+ libequinox-p2-core-java,
+ libequinox-p2-director-app-java,
+ libequinox-p2-director-java,
+ libequinox-p2-metadata-java (>= 2.4.0+eclipse4.8),
+ libequinox-p2-metadata-repository-java,
+ libequinox-p2-publisher-eclipse-java (>= 1.3.0+eclipse4.8),
+ libequinox-p2-publisher-java,
+ libequinox-p2-repository-java,
+ libequinox-p2-repository-tools-java (>= 2.2.0+eclipse4.8),
+ libequinox-p2-updatesite-java,
+ libequinox-preferences-java,
+ libequinox-registry-java,
+ libequinox-security-java,
  libgeronimo-commonj-spec-java,
- libicu4j-java,
  libmaven-archiver-java (>=2.0),
  libmaven-assembly-plugin-java,
  libmaven-bundle-plugin-java (>=2.5.4),
@@ -42,11 +60,10 @@
  libxz-java,
  maven-debian-helper,
  rsync,
- sat4j (>= 2.3.5),
  zip
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/tycho.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/tycho.git
+Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org/java-team/tycho.git
+Vcs-Browser: https://salsa.debian.org/java-team/tycho
 Homepage: https://eclipse.org/tycho/
 
 Package: libtycho-java

## tycho 1.2.0

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Luca Vercelli <luca.vercelli.to@gmail.com>
 Build-Depends:
  ant,
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  default-jdk,
  libasm-java (>= 5.0),
  libbcel-java,
@@ -61,10 +61,11 @@
  maven-debian-helper,
  rsync,
  zip
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/java-team/tycho.git
 Vcs-Browser: https://salsa.debian.org/java-team/tycho
 Homepage: https://eclipse.org/tycho/
+Rules-Requires-Root: no
 
 Package: libtycho-java
 Architecture: all

## tycho 1.3.0

=== debian/changelog ===
tycho (1.3.0-2) unstable; urgency=medium

  * Team upload.

  [ Sudip Mukherjee ]
  * Remove dependency on tycho-1.2.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 14 Dec 2019 14:25:20 +0000

tycho (1.3.0-1) unstable; urgency=medium

  * Team upload.

  [ Sudip Mukherjee ]
  * Update to upstream tycho-1.3.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 30 Nov 2019 19:03:59 +0000

tycho (1.2.0-1) unstable; urgency=medium

  * Team upload.

  [ Sudip Mukherjee ]
  * Update to upstream tycho-1.2.0
  * Update to compat level 12
  * Standards Version updated to 4.4.1

  [ tony mancill ]
  * Set "Rules-Requires-Root: no" in debian/control

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 16 Nov 2019 21:07:38 +0000

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,6 @@
  libdecentxml-java,
  libeclipse-core-net-java,
  libeclipse-core-runtime-java,
- libeclipse-jdt-compiler-apt-java,
- libeclipse-jdt-core-java,
  libeclipse-osgi-compatibility-state-java,
  libeclipse-osgi-java (>= 3.13.0+eclipse4.8),
  libeclipse-osgi-util-java,
@@ -60,7 +58,8 @@
  libxz-java,
  maven-debian-helper,
  rsync,
- zip
+ zip,
+ libecj-java
 Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/java-team/tycho.git
 Vcs-Browser: https://salsa.debian.org/java-team/tycho

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- package -Dmaven.test.skip=true

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install
	#patch eclipse-application packaging
	cp tycho-bundles/tycho-bundles-external/target/tycho-bundles-external.zip debian/libtycho-java/usr/share/maven-repo/org/eclipse/tycho/tycho-bundles-external/$(DEB_VERSION_UPSTREAM)/tycho-bundles-external-$(DEB_VERSION_UPSTREAM).zip
	ln -s ../$(DEB_VERSION_UPSTREAM)/tycho-bundles-external-$(DEB_VERSION_UPSTREAM).zip debian/libtycho-java/usr/share/maven-repo/org/eclipse/tycho/tycho-bundles-external/debian/tycho-bundles-external-debian.zip

=== debian/watch ===
version=4
opts="repack,compression=xz" \
https://github.com/eclipse/tycho/tags .*/tycho-([\d\.]+).tar.gz

## tycho 1.6.0

=== debian/changelog ===
tycho (1.6.0-3) unstable; urgency=medium

  * Team upload.
  * Explicit dependency on osgi-compendium in the Maven pom (Closes: #1027643)
  * Depend on libeclipse-jdt-core-java instead of libecj-java
  * Standards-Version updated to 4.6.2

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 06 Jan 2023 12:22:45 +0100

tycho (1.6.0-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS due to libeclipse-osgi-java. (Closes: #973073)
    - Backport upstream patch.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 05 Nov 2020 10:30:17 +0000

tycho (1.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.6.0
  * Update compat level to 13.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 26 May 2020 21:19:15 +0100

tycho (1.5.0-1) unstable; urgency=medium

  * Team upload.
  * Update to upstream tycho-1.5.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 17 Apr 2020 23:43:04 +0100

tycho (1.4.0-1) unstable; urgency=medium

  * Team upload.
  * Update to upstream tycho-1.4.0
  * Update Standards-Version to 4.5.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 17 Mar 2020 22:31:52 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Luca Vercelli <luca.vercelli.to@gmail.com>
 Build-Depends:
  ant,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  default-jdk,
  libasm-java (>= 5.0),
  libbcel-java,
@@ -15,6 +15,7 @@
  libdecentxml-java,
  libeclipse-core-net-java,
  libeclipse-core-runtime-java,
+ libeclipse-jdt-core-java,
  libeclipse-osgi-compatibility-state-java,
  libeclipse-osgi-java (>= 3.13.0+eclipse4.8),
  libeclipse-osgi-util-java,
@@ -58,9 +59,8 @@
  libxz-java,
  maven-debian-helper,
  rsync,
- zip,
- libecj-java
-Standards-Version: 4.4.1
+ zip
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/java-team/tycho.git
 Vcs-Browser: https://salsa.debian.org/java-team/tycho
 Homepage: https://eclipse.org/tycho/

## tycho 2.7.5

=== debian/changelog ===
tycho (2.7.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/patches: Add patch adding a getCompilerId()
    implementation to JDTCompiler (LP: #2089702)

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Wed, 27 Nov 2024 00:02:42 +0530

tycho (2.7.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #987681)
    - New dependency on libcommons-codec-java
    - New dependency on libcommons-io-java
    - New dependency on libbcpg-java
    - Build the new tycho-ds-plugin module
    - Ignore the new tycho-build and tycho-gpg-plugin modules
    - New build dependency on libmaven-antrun-plugin-java
    - Updated the Maven rules
  * Fixed the compatibility with Eclipse 4.29 (Closes: #1028378, #1031686)
  * Fixed the compatibility with plexus-archiver 4.4
  * Standards-Version updated to 4.7.0

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 04 Oct 2024 15:14:00 +0200

tycho (2.3.0-1) experimental; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * Depend on libeclipse-jdt-core-java instead of libecj-java
  * Standards-Version updated to 4.5.1

  [ Sudip Mukherjee ]
  * New upstream version 2.3.0 (Closes: #987681)
    - Remove upstream applied patches and refresh.
    - Add new dependency.
    - Update Copyright.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 02 May 2021 21:14:33 +0100

=== debian/control ===
--- 
+++ 
@@ -10,15 +10,17 @@
  default-jdk,
  libasm-java (>= 5.0),
  libbcel-java,
+ libbcpg-java,
+ libcommons-codec-java,
  libcommons-compress-java,
  libcommons-exec-java,
+ libcommons-io-java,
  libdecentxml-java,
  libeclipse-core-net-java,
  libeclipse-core-runtime-java,
  libeclipse-jdt-core-java,
  libeclipse-osgi-compatibility-state-java,
  libeclipse-osgi-java (>= 3.13.0+eclipse4.8),
- libeclipse-osgi-util-java,
  libequinox-app-java,
  libequinox-common-java,
  libequinox-frameworkadmin-java,
@@ -37,7 +39,8 @@
  libequinox-registry-java,
  libequinox-security-java,
  libgeronimo-commonj-spec-java,
- libmaven-archiver-java (>=2.0),
+ libmaven-antrun-plugin-java,
+ libmaven-archiver-java (>= 3.6),
  libmaven-assembly-plugin-java,
  libmaven-bundle-plugin-java (>=2.5.4),
  libmaven-clean-plugin-java,
@@ -60,7 +63,7 @@
  maven-debian-helper,
  rsync,
  zip
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/java-team/tycho.git
 Vcs-Browser: https://salsa.debian.org/java-team/tycho
 Homepage: https://eclipse.org/tycho/
